function calcDistance(to)
    local _, _, _, _, x, _, z = cameraPose()
    local _, _, _, _, x1, _, z1 = anchorPose(to)

    x = x - x1
    z = z - z1

    x = x * x
    z = z * z
    return math.sqrt(x + z)
end
return calcDistance